summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorCraig Small <csmall@users.sourceforge.net>2004-04-30 03:33:12 +0000
committerCraig Small <csmall@users.sourceforge.net>2004-04-30 03:33:12 +0000
commit5f10c0975e8b09d1516cdaa202e8f180a2ce9f33 (patch)
tree9c8cbfaa6de0c211371d035d325e81b2473a52a0 /autogen.sh
parent35e42920fc56e3a2a2c8470bdf64a97b8ba8cb6e (diff)
added autogen.sh
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh64
1 files changed, 64 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..473ebdb
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,64 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+# This was lifted from the Gimp, and adapted slightly by
+# Raph Levien .
+
+DIE=0
+
+PROJECT=psmisc
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile $PROJECT."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+# Do we really need libtool?
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile $PROJECT."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.2.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile $PROJECT."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+case $CC in
+*xlc | *xlc\ * | *lcc | *lcc\ *) am_opt=--include-deps;;
+esac
+
+for dir in .
+do
+ echo processing $dir
+ (cd $dir; \
+ aclocalinclude="$ACLOCAL_FLAGS"; \
+ aclocal $aclocalinclude -I m4; \
+ autoheader; automake --add-missing --gnu $am_opt; autoconf)
+done
+
+./configure "$@"
+
+echo
+echo "Now type 'make' to compile $PROJECT."
+
+
+
+